%define anolis_release 1

Name:           python-pyxdg
Version:        0.28
Release:        %{anolis_release}%{?dist}
Summary:        Python library to access freedesktop.org standards
License:        LGPLv2
URL:            http://freedesktop.org/Software/pyxdg
Source0:        https://files.pythonhosted.org/packages/b0/25/7998cd2dec731acbd438fbf91bc619603fc5188de0a9a17699a781840452/pyxdg-0.28.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-pytest

%description
PyXDG is a python library to access freedesktop.org standards.

%package -n python%{python3_pkgversion}-pyxdg
Summary:        Python3 library to access freedesktop.org standards
BuildRequires:  python%{python3_pkgversion}-devel

%{?python_provide:%python_provide python%{python3_pkgversion}-pyxdg}

%description -n python%{python3_pkgversion}-pyxdg
PyXDG is a python library to access freedesktop.org standards. This
package contains a Python 3 version of PyXDG.

%package -n     python%{python3_pkgversion}-pyxdg-doc
Summary:        doc files for python%{python3_pkgversion}-pyxdg
Requires:       python%{python3_pkgversion}-pyxdg = %{version}-%{release}

%description -n python%{python3_pkgversion}-pyxdg-doc
doc files for python%{python3_pkgversion}-pyxdg

%prep
%autosetup -n pyxdg-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check

%files -n python%{python3_pkgversion}-pyxdg
%license COPYING
%{python3_sitelib}/xdg
%{python3_sitelib}/pyxdg-%{version}.dist-info/

%files -n python%{python3_pkgversion}-pyxdg-doc
%doc AUTHORS ChangeLog README TODO

%changelog
* Wed Mar 15 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.28-1
- Init upstream from version 0.28
